Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.reporters
Class NullStoryReporter

    java.lang.Object
      org.jbehave.core.reporters.NullStoryReporter

All Implemented Interfaces:
  StoryReporter

    public class NullStoryReporter

extends Object
implements StoryReporter

Null-object implementation of `StoryReporter`. Users can subclass it and can override only the method that they are interested in.

Constructor Summary
`NullStoryReporter()`

Method Summary
`void` | `afterExamples()`
`void` | `afterScenario()`
`void` | `afterStory(boolean givenStory)`
`void` | `beforeExamples(List<String> steps, ExamplesTable table)`
`void` | `beforeScenario(String title)`
`void` | `beforeStep(String step)`
`void` | `beforeStory(Story story, boolean givenStory)`
`void` | `dryRun()`
`void` | `example(Map<String,String> tableRow)`
`void` | `failed(String step, Throwable cause)`
`void` | `failedOutcomes(String step, OutcomesTable table)`
`void` | `givenStories(GivenStories givenStories)`
`void` | `givenStories(List<String> storyPaths)`
`void` | `ignorable(String step)`
`void` | `narrative(Narrative narrative)`
`void` | `notPerformed(String step)`
`void` | `pending(String step)`
`void` | `pendingMethods(List<String> methods)`
`void` | `restarted(String step, Throwable cause)`
`void` | `scenarioMeta(Meta meta)`
`void` | `scenarioNotAllowed(Scenario scenario, String filter)`
`void` | `storyCancelled(Story story, StoryDuration storyDuration)`
`void` | `storyNotAllowed(Story story, String filter)`
`void` | `successful(String step)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullStoryReporter

    public NullStoryReporter()

Method Detail

### beforeStep

    public void beforeStep(String step)

  Specified by:
    `beforeStep` in interface `StoryReporter`

### successful

    public void successful(String step)

  Specified by:
    `successful` in interface `StoryReporter`

### ignorable

    public void ignorable(String step)

  Specified by:
    `ignorable` in interface `StoryReporter`

### pending

    public void pending(String step)

  Specified by:
    `pending` in interface `StoryReporter`

### notPerformed

    public void notPerformed(String step)

  Specified by:
    `notPerformed` in interface `StoryReporter`

### failed

    public void failed(String step,
                       Throwable cause)

  Specified by:
    `failed` in interface `StoryReporter`

### failedOutcomes

    public void failedOutcomes(String step,
                               OutcomesTable table)

  Specified by:
    `failedOutcomes` in interface `StoryReporter`

### storyNotAllowed

    public void storyNotAllowed(Story story,
                                String filter)

  Specified by:
    `storyNotAllowed` in interface `StoryReporter`

### beforeStory

    public void beforeStory(Story story,
                            boolean givenStory)

  Specified by:
    `beforeStory` in interface `StoryReporter`

### storyCancelled

    public void storyCancelled(Story story,
                               StoryDuration storyDuration)

  Specified by:
    `storyCancelled` in interface `StoryReporter`

### afterStory

    public void afterStory(boolean givenStory)

  Specified by:
    `afterStory` in interface `StoryReporter`

### narrative

    public void narrative(Narrative narrative)

  Specified by:
    `narrative` in interface `StoryReporter`

### givenStories

    public void givenStories(GivenStories givenStories)

  Specified by:
    `givenStories` in interface `StoryReporter`

### givenStories

    public void givenStories(List<String> storyPaths)

  Specified by:
    `givenStories` in interface `StoryReporter`

### beforeScenario

    public void beforeScenario(String title)

  Specified by:
    `beforeScenario` in interface `StoryReporter`

### scenarioNotAllowed

    public void scenarioNotAllowed(Scenario scenario,
                                   String filter)

  Specified by:
    `scenarioNotAllowed` in interface `StoryReporter`

### scenarioMeta

    public void scenarioMeta(Meta meta)

  Specified by:
    `scenarioMeta` in interface `StoryReporter`

### afterScenario

    public void afterScenario()

  Specified by:
    `afterScenario` in interface `StoryReporter`

### beforeExamples

    public void beforeExamples(List<String> steps,
                               ExamplesTable table)

  Specified by:
    `beforeExamples` in interface `StoryReporter`

### example

    public void example(Map<String,String> tableRow)

  Specified by:
    `example` in interface `StoryReporter`

### afterExamples

    public void afterExamples()

  Specified by:
    `afterExamples` in interface `StoryReporter`

### dryRun

    public void dryRun()

  Specified by:
    `dryRun` in interface `StoryReporter`

### pendingMethods

    public void pendingMethods(List<String> methods)

  Specified by:
    `pendingMethods` in interface `StoryReporter`

### restarted

    public void restarted(String step,
                          Throwable cause)

  Specified by:
    `restarted` in interface `StoryReporter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.